package com.yc.education.service;


import com.yc.education.model.Product;

import java.util.List;

/**
 * huangpan
 * 2019/10/8
 * energy
 */
public interface ProductService extends  IService<Product> {
    /*查询所有*//*
    List<Technologyclassify> selectAllTclassify(String titleName);

    *//*查询推荐到首页*//*
    List<Technologyclassify> selectAllTclassifyrm();

    *//*查询单条记录*//*
    Technologyclassify selectTclassifyById(int id);

    *//*删除单条*//*
    void deleteTclassifyById(int id);*/

    /*查询所有*/
    List<Product> selAllProduct(Integer id,Integer pageNum, Integer pageSize);

    /*查询单条*/
    Product selProductById(Integer id);

    /*删除单条*/
    void deleteProductById(Integer id);

    /*首页查询所有*/
    List<Product> getProductAll(Integer id);

    /*查询所有*/
    List<Product> selproductAll(Integer pageNum, Integer pageSize,String tName);
}
